unit ClipEgU;

interface

uses
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Image2: TImage;
    Edit1: TEdit;
    Edit2: TEdit;
    btnCopy: TButton;
    btnPaste: TButton;
    procedure btnCopyClick(Sender: TObject);
    procedure btnPasteClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  Clipbrd;

{$R *.DFM}

procedure TForm1.btnCopyClick(Sender: TObject);
begin
  Clipboard.Open;
  try
    Clipboard.AsText := Edit1.Text;
    Clipboard.Assign(Image1.Picture)
    { or Clipboard.Assign(Image1.Picture.Bitmap) }
  finally
    Clipboard.Close
  end
end;

procedure TForm1.btnPasteClick(Sender: TObject);
begin
  Clipboard.Open;
  try
    Edit2.Text := Clipboard.AsText;
    Image2.Picture.Assign(Clipboard)
    { or Image2.Picture.Bitmap.Assign(Clipboard) }
  finally
    Clipboard.Close
  end
end;

end.
