unit Test3U;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, PageCtl3;

type
  TForm1 = class(TForm)
    ColorPageControl: TColorPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    Memo1: TMemo;
    Memo2: TMemo;
    Memo3: TMemo;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    ImageList1: TImageList;
    procedure ColorPageControlDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ColorPageControlDrawItem(Control: TWinControl;
  Index: Integer; Rect: TRect; State: TOwnerDrawState);
begin
  with Control as TColorPageControl do
  begin
    DefaultDrawTab(Index, Rect, State);
    if odSelected in State then
    begin
      Canvas.Pen.Color := clRed;
      Canvas.MoveTo(Rect.Left, Rect.Top);
      Canvas.LineTo(Rect.Right, Rect.Bottom);
      Canvas.MoveTo(Rect.Left, Rect.Bottom);
      Canvas.LineTo(Rect.Right, Rect.Top);
    end;
  end
end;

procedure TForm1.Button1Click(Sender: TObject);
const
  Styles: array[Boolean] of TPageControlStyle =
    (pcsStandard, pcsOwnerDraw);
begin
  ColorPageControl.Style := Styles[ColorPageControl.Style = pcsStandard]
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ColorPageControl.TabButtons := not ColorPageControl.TabButtons
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  ColorPageControl.TabVPosition :=
    TTabVPosition((Ord(ColorPageControl.TabVPosition) + 1) mod Succ(Ord(High(TTabVPosition))))
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  ColorPageControl.TabVisible[TabSheet2] :=
    not ColorPageControl.TabVisible[TabSheet2]
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  ColorPageControl.TabImageVisible[TabSheet2] :=
    not ColorPageControl.TabImageVisible[TabSheet2]
end;

end.
