unit MyTable;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, MyDS;

type
  TMyTable = class(TMyDataSet)
    private
      FReadOnly: Boolean;
    protected
      { Derived from TDataSet }
      function GetCanModify: Boolean; override;
    public
      { Derived from TDataSet }
      property CanModify: Boolean read GetCanModify;
    published
      { Derived from TDataSet }
      property Active;
      property AutoCalcFields;
      property BeforeOpen;
      property AfterOpen;
      property BeforeClose;
      property AfterClose;
      property BeforeInsert;
      property AfterInsert;
      property BeforeEdit;
      property AfterEdit;
      property BeforePost;
      property AfterPost;
      property BeforeCancel;
      property AfterCancel;
      property BeforeDelete;
      property AfterDelete;
      property BeforeScroll;
      property AfterScroll;
      property OnCalcFields;
      property OnDeleteError;
      property OnEditError;
      property OnNewRecord;
      property OnPostError;

      { Derived from TMyDataSet }
      property TableName;

      { TMyTable Properties }
      property ReadOnly: Boolean read FReadOnly write FReadOnly;
  end;

procedure Register;

implementation

function TMyTable.GetCanModify: Boolean;
begin
  Result := not FReadOnly;
end;

procedure Register;
begin
  RegisterComponents('Data Access', [TMyTable]);
end;

end.
