unit Test2U;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, PageCtl2;

type
  TForm1 = class(TForm)
    ODPageControl: TODPageControl2;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    Memo1: TMemo;
    Memo2: TMemo;
    Memo3: TMemo;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure ODPageControlDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ODPageControlDrawItem(Control: TWinControl;
  Index: Integer; Rect: TRect; State: TOwnerDrawState);
begin
  with Control as TODPageControl2 do
  begin
    DefaultDrawTab(Index, Rect, State);
    if odSelected in State then
    begin
      Canvas.Pen.Color := clRed;
      Canvas.MoveTo(Rect.Left, Rect.Top);
      Canvas.LineTo(Rect.Right, Rect.Bottom);
      Canvas.MoveTo(Rect.Left, Rect.Bottom);
      Canvas.LineTo(Rect.Right, Rect.Top);
    end;
  end
end;

procedure TForm1.Button1Click(Sender: TObject);
const
  Styles: array[Boolean] of TPageControlStyle =
    (pcsStandard, pcsOwnerDraw);
begin
  ODPageControl.Style := Styles[ODPageControl.Style = pcsStandard]
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ODPageControl.TabButtons := not ODPageControl.TabButtons
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  ODPageControl.TabVPosition :=
    TTabVPosition((Ord(ODPageControl.TabVPosition) + 1) mod Succ(Ord(High(TTabVPosition))))
end;

end.
